﻿@{ ViewData["Title"] = "Tipo alerta";
    ViewData["Titulo_lugar"] = "Ingresar Tipo alerta";
    ViewData["Lugar"] = "Tipo alerta";


    Layout = "_create"; }







@model Generic_appWeb.Models.Tipo_alerta


<form asp-action="Create">

    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Categoria alerta</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Categoria_alerta.CAl_id" class="col-md-4 control-label" style="float:left"> Categoria alerta </label>

                <select asp-for="Categoria_alerta.CAl_descripcion_corta" asp-items="@(new SelectList(ViewBag.categorias_alertasList,"CAl_id", "CAl_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                @*<span asp-validation-for="Icono.Ico_id" class="text-danger" />*@

            </div>



        </div>
    </div>


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Icono</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Icono.Ico_id" class="col-md-4 control-label" style="float:left"> Icono </label>

                <select asp-for="Icono.Ico_descripcion_corta" asp-items="@(new SelectList(ViewBag.iconoList,"Ico_id", "Ico_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                @*<span asp-validation-for="Icono.Ico_id" class="text-danger" />*@

            </div>



        </div>
    </div>



    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Color</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Color.Co_id" class="col-md-4 control-label" style="float:left"> Color </label>

                <select asp-for="Color.Co_descripcion_corta" asp-items="@(new SelectList(ViewBag.colorList,"Co_id", "Co_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                @*<span asp-validation-for="Color.Co_id" class="text-danger" />*@

            </div>



        </div>
    </div>





    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Codigo</h3>
        </div>

        <div class="card-body">


            <div class="form-group ">
                <label asp-for="TAl_codigo_empresa" class="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="TAl_codigo_empresa" class="form-control col-md-6" />
                <span asp-validation-for="TAl_codigo_empresa" class="text-danger" />

            </div>

            <div class="form-group ">
                <label asp-for="TAl_codigo_alterno" class="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="TAl_codigo_alterno" class="form-control col-md-6" type="text" />
                <span asp-validation-for="TAl_codigo_alterno" class="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Descripciones</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="TAl_descripcion_larga" class="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="TAl_descripcion_larga" class="form-control col-md-6" />
                <span asp-validation-for="TAl_descripcion_larga" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="TAl_descripcion_med" class="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="TAl_descripcion_med" class="form-control col-md-6" />
                <span asp-validation-for="TAl_descripcion_med" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="TAl_descripcion_corta" class="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="TAl_descripcion_corta" class="form-control col-md-6" />
                <span asp-validation-for="TAl_descripcion_corta" class="text-danger" />
            </div>

            <div class="form-group">
                <label asp-for="TAl_abreviacion" class="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="TAl_abreviacion" class="form-control col-md-6" />
                <span asp-validation-for="TAl_abreviacion" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="TAl_observacion" class="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="TAl_observacion" class="form-control col-md-6" />
                <span asp-validation-for="TAl_observacion" class="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Fechas</h3>
        </div>

        <div class="card-body">


            <div class="form-group">

                <label asp-for="TAl_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="TAl_fecha_creacion" id="TAl_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="TAl_fecha_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="TAl_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="TAl_fecha_modificacion" id="TAl_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="TAl_fecha_modificacion" class="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Usuario</h3>
        </div>

        <div class="card-body">

            <div class="form-group">

                <label asp-for="TAl_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="TAl_usuario_creacion" class="form-control col-xl-6" readonly />
                <span asp-validation-for="TAl_usuario_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="TAl_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="TAl_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="TAl_usuario_modificacion" class="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Secuencia</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="TAl_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="TAl_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="TAl_secuencia" class="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" class="col-md-12">

        <div class="form-group">

            <div class="float-right">

                <button type="button" class="btn btn-outline-secondary " onclick="location.href='@Url.Action("Index", "Tipo_alerta")'">Volver</button>
                <button type="submit" class="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>
